Skip to main content
GET
/
v1
/
filings
/
recent
Get most recent filings
curl --request GET \
  --url https://api.ivory.finance/v1/filings/recent \
  --header 'X-API-Key: <api-key>'
[
  {
    "accession_number": "<string>",
    "cik": "<string>",
    "company_id": "<string>",
    "company_name": "<string>",
    "form_type": "<string>",
    "filing_date": "2023-12-25",
    "published_at": "2023-11-07T05:31:56Z",
    "is_amendment": true,
    "raw_filing_url": "<string>",
    "raw_summary": "<string>",
    "source": "<string>",
    "jurisdiction": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

form_type
string | null

Filter by form type, e.g. 10-K, 8-K, 4

limit
integer
default:50
Required range: 1 <= x <= 500

Response

Successful Response

accession_number
string
required
cik
string | null
company_id
string | null
company_name
string | null
form_type
string | null
filing_date
string<date> | null
published_at
string<date-time> | null
is_amendment
boolean | null
raw_filing_url
string | null
raw_summary
string | null
source
string | null
jurisdiction
string | null